// ===========================================================================
//	MacPLLConstants.h		1996 Mikhail Fridberg. All rights reserved.
// ===========================================================================

#pragma once

//Main window ID
const ResIDT	main_Window				= 1;

// IDs of controls
const PaneIDT	kPhaseDetectorPopUp		= 10;
const PaneIDT	kLoopFilterPopUp		= 11; 
const PaneIDT	kReferenseFreq			= 21;
const PaneIDT	kReferenceDivider		= 22; 
const PaneIDT	kPhaseDetectorGain		= 23; 
const PaneIDT	kFilterParams			= 24; 
const PaneIDT	kDividerNMin			= 25; 
const PaneIDT	kDividerNMax			= 26; 
const PaneIDT	kVCOGain				= 27; 
const PaneIDT	kLockUpTime				= 28; 
const PaneIDT	kZeta					= 29; 
const PaneIDT	kR1						= 30; 
const PaneIDT	kR2						= 31; 
const PaneIDT	kC						= 32; 
const PaneIDT	kCc						= 33; 
const PaneIDT	kOmegaN					= 34; 
const PaneIDT	kZetaMax				= 35; 
const PaneIDT	kOvershoot				= 36; 
const PaneIDT	kR1nput					= 37;
const PaneIDT	kOUTFreqMin				= 38;
const PaneIDT	kOUTFreqMax				= 39;
const PaneIDT	kVCORangeMax			= 50;
const PaneIDT	kVCORangeMin			= 51;
const PaneIDT	kBandwidth3db			= 52;
const PaneIDT	kMaxOvershoot			= 53;
const PaneIDT	kLockRange				= 54;
const PaneIDT	kPullInRange			= 56;
const PaneIDT	kHoldRange				= 57;
const PaneIDT	kPullOutRange			= 58;
const PaneIDT	kR2Caption				= 150;
const PaneIDT	kR2UnitsCaption			= 151;
const PaneIDT	kLockRangeCaption		= 152;
const PaneIDT	kLockRangeUnitsCaption	= 153;


const PaneIDT	kCalculateButton		= 40; 

//Message IDs
const MessageT	msg_PhaseDetectorPopUp	= 1000;
const MessageT	msg_LoopFilterPopUp		= 1001;
const MessageT	msg_Calculate			= 2000;


// consts for error in Input data
const PaneIDT	kPhaseDetectorGainError	= 123;
const PaneIDT	kReferenseFreqError		= 121; 
const PaneIDT	kReferenceDividerError	= 122;
const PaneIDT	kVCOGainError			= 124; 
const PaneIDT	kOUTFreqMinError		= 125; 
const PaneIDT	kOUTFreqMaxError		= 120;
const PaneIDT	kLockUpTimeError		= 126; 
const PaneIDT	kZetaError				= 127; 
const PaneIDT	kR1nputError			= 128;
const PaneIDT	kOvershootError		= 129;

// consts for error in Output data
const PaneIDT	kR1Error				= 100; 
const PaneIDT	kR2Error				= 101; 
const PaneIDT	kCError					= 102; 
const PaneIDT	kCcError				= 103; 
const PaneIDT	kOmegaNError			= 104; 
const PaneIDT	kZetaMaxError			= 105; 
const PaneIDT	kDividerNMinError		= 106; 
const PaneIDT	kDividerNMaxError		= 107; 
const PaneIDT	kVCORangeMinError		= 109;
const PaneIDT	kVCORangeMaxError		= 108;
const PaneIDT	kBandwidth3dbError		= 110;
const PaneIDT	kMaxOvershootError		= 111; 
const PaneIDT	kLockRangeError			= 112;
const PaneIDT	kPullInRangeError		= 114;
const PaneIDT	kHoldRangeError			= 115;
const PaneIDT	kPullOutRangeError		= 116;



const Int16		SetError				=1;
const Int16		ClearError				=2;


//Other consts

//Phase detector and filter type consts
const	Int16	Type_1					=1;
const	Int16	Type_2					=2;
const	Int16	Type_3					=3;
const	Int16	Type_4					=4;

//
const	Int16	PROBLEM					=-1; 
const 	Int16	DATA_INVALID			=-2;
const 	Int16	NO_ERRORS				=0;


const	Int16	THETA_ARRAY_SIZE		=500;

enum {
	err_DataInvalid 	= 'dtIV',
	err_CalculationProblem = 'clPm'
}; 

//Pictures ID
const ResIDT	Filter_1				= 5001;
const ResIDT	Filter_2				= 5002;
const ResIDT	Filter_3				= 5003;
const ResIDT	Filter_4				= 5004;

const ResIDT	Detector_1				= 5005;
const ResIDT	Detector_2				= 5006;
const ResIDT	Detector_3				= 5007;
const ResIDT	Detector_4				= 5008;

const PaneIDT	FilterTypePicture		= 4001;
const PaneIDT	DetectorTypePicture		= 4002;
